undefine tspace_name;
break on file_id
select file_id, block_id, owner, segment_name, partition_name, segment_type, bytes/1024/1024 mb from dba_extents
where tablespace_name = upper('&&tspace_name')
union
select file_id, block_id, null, 'empty',null,null,bytes/1024/1024 mb from dba_free_space
where tablespace_name = upper('&tspace_name')
order by file_id, block_id
/
